[arch-commits] Commit in sane-frontends/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 21:59:42 EDT 2009


    Date: Friday, April 17, 2009 @ 21:59:42
  Author: eric
Revision: 35883

Merged revisions 356,35882 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/sane-frontends/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35882 | eric | 2009-04-17 21:59:26 -0400 (Fri, 17 Apr 2009) | 2 lines
  
  upgpkg: sane-frontends 1.0.14-3
      Added license, FHS man pages
........

Modified:
  sane-frontends/repos/extra-x86_64/	(properties)
  sane-frontends/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: sane-frontends/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /sane-frontends/trunk:1
   + /sane-frontends/trunk:1-35882

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-18 01:59:26 UTC (rev 35882)
+++ extra-x86_64/PKGBUILD	2009-04-18 01:59:42 UTC (rev 35883)
@@ -4,17 +4,18 @@
 
 pkgname=sane-frontends
 pkgver=1.0.14
-pkgrel=2
+pkgrel=3
 pkgdesc="A set of frontends for SANE."
 arch=(i686 x86_64)
+url="http://www.sane-project.org"
+license=('GPL')
 depends=('sane' 'gimp')
 source=(ftp://ftp.sane-project.org/pub/sane/$pkgname-$pkgver/$pkgname-$pkgver.tar.gz)
-url="http://www.sane-project.org"
+md5sums=('c63bf7b0bb5f530cf3c08715db721cd3')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$pkgdir install || return 1
 }
-md5sums=('c63bf7b0bb5f530cf3c08715db721cd3')



More information about the arch-commits mailing list